### Method

# RB RhythmDBEntryType fetch_metadata

#### Declaration [src]

    gboolean
    rhythmdb_entry_type_fetch_metadata (
      RhythmDBEntryType* etype,
      const char* uri,
      GArray* metadata
    )

#### Description [src]

Fetches metadata for a URI (not an entry yet, at this point) from a cache, if possible.

The `metadata` array contains RhythmDBEntryChange items with just the ‘new’ value set.

#### Parameters

`uri`

  Type: `const char*`

  Uri of the item to fetch.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`metadata`

  Type: An array of `None`

  Returns fetched metadata.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if metadata is returned.